#delimit ;
clear;
clear matrix;
set linesize 95;
set more off;
 
capture log close;
log using "ref_wind_data.log", replace;

use "et_wind_data.dta", clear;
reshape long wind, i(year) j(month);
sort year month;
saveold "temp_wind.dta", replace;

use "ref_wind_production.dta", clear;
encode rid, gen(gnumb);
encode country, gen(cnumb);
gen cap_mw=capacity_ofgem/1000;
replace cap_mw=capacity_ref/1000 if capacity_ref != .;
gen max_output=cap_mw*24*days_month;
gen load_fact=100*output/max_output;
gen smonth=month(start);
gen syear=year(start);
gen speriod=12*(syear-1980)+smonth;
gen mage=period-speriod;
gen yage=max(int((mage-1)/12),0);
replace load_fact=. if mage==0 | load_fact >= 100;
drop if drop_obs > 0;
sort year month gnumb;

merge year month using temp_wind.dta;
tab _merge;
drop if _merge!=3;
drop _merge note drop_obs;
sort gnumb year month;

compress;
desc;
saveold "ref_wind_output.dta", replace;

log close;
exit;

